﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;

namespace TestApps.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        [HttpPost]
        public ActionResult GetItems([DataSourceRequest] DataSourceRequest request, int id)
        {
            var itemsList = new List<string>()
            {
                "Steven White",
                "Nancy King",
                "Anne King",
                "Nancy Davolio",
                "Robert Davolio",
                "Michael Leverling",
                "Andrew Callahan",
                "Michael Suyama",
                "Anne King",
                "Laura Peacock",
                "Robert Fuller",
                "Janet White",
                "Nancy Leverling",
                "Robert Buchanan",
                "Andrew Fuller",
                "Anne Davolio",
                "Andrew Suyama",
                "Nige Buchanan",
                "Laura Fuller"
            };
            
            return Json(itemsList.ToDataSourceResult(request), JsonRequestBehavior.AllowGet);
        }
    }
}